POST
/boards/{board_id}/service_monitorsCreate service monitor
Create a new service monitor for the specified board. Service monitors allow you to subscribe to status page services and track their status on your board.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
board_idstringrequired
Unique ID of the board
descriptionstringoptional
Optional description for the monitor
metadataobjectoptional
Key/value tags
monitor_group_idstringoptional
ID of the monitor group to assign this monitor to
namestringoptional
Optional custom name for the monitor
service_idstringrequired
Public ID of the status page service to monitor
201service monitor created with custom name
dataobjectoptional
successbooleanoptional
401unauthorized
404missing service_id parameter
errorsarray<string>optional
successbooleanoptional
Error handling
A 401 is returned: unauthorized. A 404 is returned: missing service_id parameter.